Page MenuHomePhabricator

Run pt-table-checksum on es2
Closed, InvalidPublic

Description

There have been several crashes in the es2 servers for codfw and we are not 100% sure about its state, so we discussed about running pt-table-checksum
I have run pt-table-checksum on es2 chain for a few small wikis with no issues. Going to run it for the 200 smallest wikis now.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2017, 12:46 PM

Mentioned in SAL (#wikimedia-operations) [2017-03-27T12:47:01Z] <marostegui> Run pt-table-checksum for a couple of hundred small wikis in es2 - T161510

Marostegui moved this task from Triage to In progress on the DBA board.Mar 27 2017, 12:47 PM

The first 700 wikis have been checksummed with no differences so far.

Mentioned in SAL (#wikimedia-operations) [2017-03-28T05:52:07Z] <marostegui> Run pt-table-checksum on es2 - T161510

Marostegui closed this task as Invalid.Mar 28 2017, 9:17 AM

Jaime had a revelation and realised that it is running ROW based replication and the check isn't doing anything but copying the master values, so there will never be any differences.